<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
    <meta charset="UTF-8">
    <title>Profile</title>
    <link rel="stylesheet" th:href="@{/css/profile.css}" href="../static/css/profile.css">
</head>
<body>


<nav id="sticker" class="navbar navbar-inverse">

    <div class="container">
        <div class="navbar-header">

            <a class="menu"><i class="fa fa-bars" id="menu_icon"></i></a>

        </div><!--navbar-header close-->

        <div class="collapse navbar-collapse drop_menu" id="content_details">

            <ul class="nav navbar-nav navbar-right">
                <li> <a th:href="@{/}">
                    <span class="glyphicon glyphicon-tasks"></span> Menu</a>
                </li>
                <li><a th:href="@{'/profile/' +${user.getId()} + '/userimage'}"><span
                        class="glyphicon glyphicon-home"></span> User Picture</a></li>
                <li><a th:href="@{/userfeed}"><span class="glyphicon glyphicon-heart-empty"></span> Userfeed</a></li>

                <li><a href="/logout"><span class="glyphicon glyphicon-user"></span> Logout</a></li>


            </ul><!--navbar-right close-->
        </div><!--collapse navbar-collapse drop_menu close-->
    </div><!--container-fluid close-->
</nav><!--navbar navbar-inverse close-->

<!--search box-->
<div class="container">
    <!-- Modal -->
    <div class="modal fade" id="myModal" role="dialog">
        <div class="modal-dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">×</button>
                    <h4 class="modal-title">Search Section</h4>
                </div>
                <div class="modal-body">


                    <section class="search-box1" id="panel">
                        <div class="container">
                            <form class="form-inline" role="form">
                                <div class="col-sm-8 col-xs-8 form-group top_search" style="padding-right:0px;">
                                    <div class="row">
                                        <label class="sr-only" for="search">Search here...</label>
                                        <span class="serach-footer"> </span>
                                        <input type="text" class="form-control search-wrap" id="search"
                                               placeholder="Search here...">
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4 col-xs-4 form-group top_search" style="padding-left:0px;">
                                        <button type="submit" class="btn btn-default search-btn">SEARCH</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </section>


                </div>

            </div>
        </div>

    </div>
</div>
<br>
<br>
<br>

<section>

    <div class="container" style="margin-top: 30px;">
        <div class="profile-head">
            <div class="col-md- col-sm-4 col-xs-12">

                <img th:if="${user.picture != null}" th:src="@{'/profile/' +${user.getId()} + '/userimage'}">
                <img th:unless="${user.picture != null}" src="/img/default.png">

                <h6 ></h6>
            </div><!--col-md-4 col-sm-4 col-xs-12 close-->


            <div class="col-md-5 col-sm-5 col-xs-12">
                <h5 th:text="${user.firstName +' '+ user.lastName}">John Doe</h5>
                <ul>
<!--                    <li><span class="glyphicon glyphicon-briefcase"></span> 5 years</li>-->
<!--                    <li><span class="glyphicon glyphicon-map-marker"></span> U.S.A.</li>-->
<!--                    <li><span class="glyphicon glyphicon-home"></span> 555 street Address,toedo 43606 U.S.A.</li>-->
<!--                    <li><span class="glyphicon glyphicon-phone"></span> <a href="#" title="call">(+021) 956 789123</a>-->
<!--                    </li>-->
                    <li><span class="glyphicon glyphicon-envelope"></span><a href="#"
                                                                             title="mail" th:text="${user.email}">jenifer123@gmail.com</a></li>

                </ul>


            </div><!--col-md-8 col-sm-8 col-xs-12 close-->


        </div><!--profile-head close-->
    </div><!--container close-->


    <div id="sticky" class="container">

        <!-- Nav tabs -->
        <ul class="nav nav-tabs nav-menu" role="tablist">
            <li class="active">
                <a href="#profile" role="tab" data-toggle="tab">
                    <i class="fa fa-male"></i> Profile
                </a>
            </li>
            <li><a  href="#change" role="tab" data-toggle="tab">
                <i class="fa fa-key"></i> Edit Profile
            </a>
            </li>
        </ul><!--nav-tabs close-->

        <!-- Tab panes -->
        <div class="tab-content">
            <div class="tab-pane fade active in" id="profile">
                <div class="container">
                    <div class="btn-group ">
                        <a href="#" id="list" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-th-list">
            </span>List</a>
                        <a href="#" id="grid" class="btn btn-default btn-sm"><span
                                class="glyphicon glyphicon-th"></span>Grid</a>
                    </div>
                    <br clear="all"/>
                    <div class="row">
                        <div class="col-md-12">
                            <h4 class="pro-title">Friend List:</h4>
                        </div><!--col-md-12 close-->
                        <div id="products" class="row list-group">

                            <div class="item  col-xs-4 col-lg-4" th:each="user : ${friends}">
                                <div class="thumbnail">
                                    <img width="100" th:if="${user.picture != null}" th:src="@{'/profile/' +${user.getId()} + '/userimage'}"
                                         class="img-responsive"/>
                                    <img width="100" th:unless="${user.picture != null}"
                                         src="/img/default.png">
                                    <div class="caption">
                                        <h4 class="group inner list-group-item-heading">
                                            <div class="h5"><p><strong><span
                                                    th:text="${user.firstName}"></span>
                                                <span th:text="${user.lastName}"/></strong><br/></p></div>
                                        </h4>

                                        <div>
                                            <div class="h5">
                                                <p><strong><span>Username:</span>
                                                    <span th:if="(${user.userName == ''|| user.userName == null})">no mail</span>
                                                    <span th:text="${user.userName}"/></strong><br/></p>
                                            </div>
                                            <div class="h5">
                                                <p><strong><span>E-Mail:</span>
                                                    <span th:if="(${user.email == ''|| user.email == null})">no mail</span>
                                                    <span th:text="${user.email}"/></strong><br/></p>
                                            </div>
                                        </div>
                                        <div class="row">

                                            <div class="btn-details">
                                                <a class="btn btn-success" sec:authorize="isAuthenticated()" th:href="@{'/user/' +${user.getId()}}">Details</a>
                                                <a class="btn btn-success" sec:authorize="isAuthenticated()" th:href="@{'/unfriend/'+${user.getId()}}">Unfriend</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                    </div><!--row close-->


                </div><!--container close-->
            </div><!--tab-pane close-->


            <div class="tab-pane fade" id="change" sec:authorize="isAuthenticated()">
                <div class="container fom-main">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="register" >Edit Your Profile</h2>
                        </div><!--col-sm-12 close-->

                    </div><!--row close-->
                    <br/>
                    <div class="row">

                        <form action="#" th:action="@{/update/{userID} (userID = ${user.getId()})}"
                              class="form-horizontal main_form text-left" th:object="${user}" method="post"
                              id="contact_form" enctype="multipart/form-data">
                            <fieldset>


                                <div class="form-group col-md-12">
                                    <label class="col-md-10 control-label">First Name</label>
                                    <div class="col-md-12 inputGroupContainer">
                                        <div class="input-group">
                                            <input name="first_name" placeholder="First Name" class="form-control"
                                                   type="text" th:field="*{firstName}">
                                            <label class="error" th:errors="*{firstName}"/>
                                        </div>
                                    </div>
                                </div>

                                <!-- Text input-->

                                <div class="form-group col-md-12">
                                    <label class="col-md-10 control-label">Last Name</label>
                                    <div class="col-md-12 inputGroupContainer">
                                        <div class="input-group">
                                            <input name="last_name" placeholder="Last Name" class="form-control"
                                                   type="text" th:field="*{lastName}">
                                            <label class="error" th:errors="*{lastName}"/>
                                        </div>
                                    </div>
                                </div>

                                <!-- Text input-->
                                <div class="form-group col-md-12">
                                    <label class="col-md-10 control-label">E-Mail</label>
                                    <div class="col-md-12 inputGroupContainer">
                                        <div class="input-group">
                                            <input name="email" placeholder="E-Mail Address" class="form-control"
                                                   type="text" th:field="*{email}">
                                            <label class="error" th:errors="*{email}"/>
                                        </div>
                                    </div>
                                </div>


                                <!-- upload profile picture -->
                                <div class="col-md-12 text-left">
                                    <div class="uplod-picture">
                                    <span class="btn btn-default uplod-file">
                                           Upload Photo <input type="file" name="imageFile" id="imageFile"/>
                                    </span>
                                        <!--                                        <span class="btn btn-default uplod-file">-->
                                        <!--    Upload Resume <input type="file" />-->
                                        <!--</span>-->
                                        <!--                                        <span class="btn btn-default uplod-file">-->
                                        <!--    Upload Video <input type="file" />-->
                                        <!--</span>-->
                                    </div><!--uplod-picture close-->
                                </div><!--col-md-12 close-->
                                <!-- Button -->
                                <div class="form-group col-md-10">
                                    <div class="col-md-6">
                                        <button type="submit" class="btn btn-warning submit-button">Save</button>
                                        <button type="submit" class="btn btn-warning submit-button">Cancel</button>

                                    </div>
                                </div>
                            </fieldset>
                        </form>
                    </div><!--row close-->
                </div><!--container close -->
            </div><!--tab-pane close-->
        </div><!--tab-content close-->
    </div><!--container close-->

</section><!--section close-->
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
<script th:src="@{/js/profile.js}" src="../static/js/profile.js"></script>
</body>
</html>


